| Method | URI | Description |
|---|---|---|
| POST | /v2.0/RAX-GRPADM/groups{?marker,limit,name} | Adds a group. |
Normal response codes: 201
Error response codes: identityFault (400, 500, …), badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), serviceUnavailable (503), itemNotFound (404), badMediaType (415)
This table shows the header parameters for the add a new group request:
| Name | Type | Description |
|---|---|---|
| String (Required) | A valid authentication token for an administrative user. |
This table shows the body parameters for the add a new group request:
| Name | Type | Description |
|---|---|---|
| GroupForCreate (Required) |
Example 6.1. Add a New Group: XML request
<group name="group1" xmlns="http://docs.rackspace.com/identity/api/ext/RAX-KSGRP/v1.0">
<description>A Description of the group</description>
</group>
Example 6.2. Add a New Group: JSON request
{
"RAX-KSGRP:group": {
"name": "group1",
"description": "A Description of the group"
}
}
This table shows the header parameters for the add a new group response:
| Name | Type | Description |
|---|---|---|
| AnyURI (Required) |
The full URL to the new group is
returned in the |
Example 6.3. Add a New Group: XML response
<group id="1234" name="group1" xmlns="http://docs.rackspace.com/identity/api/ext/RAX-KSGRP/v1.0">
<description>A Description of the group</description>
</group>
Example 6.4. Add a New Group: JSON response
{
"RAX-KSGRP:group": {
"id": "1234",
"name": "group1",
"description": "A Description of the group"
}
}

